Skip to content

Simulate a balance top-up

Request

Simulates a top-up so that a balance can be used to fund transfers and/or card spend.

Security
UserToken
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
profileIdinteger, (int64)required

The profile ID linked to the balance account.

balanceIdinteger, (int64)required

The ID of the balance account that is going to receive the funds.

currencystringrequired

The currency to top up the balance account in. Must be the same currency as the balance account.

amountnumberrequired

The amount to top up the balance account with.

channelstring

Type of top-up. Not providing a channel will default to CARD.

Enum:"TRANSFER""CARD"
curl -i -X POST \
  https://api.wise.com/2026Q3/simulation/balance/topup \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "profileId": 2,
    "balanceId": 5,
    "currency": "EUR",
    "amount": 100,
    "channel": "TRANSFER"
  }'

Responses

Simulated balance top-up result.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
transactionIdinteger, (int64)

The ID of the top-up transaction.

statestring

The state of the transaction. COMPLETED is always returned when using this endpoint.

balancesAfterArray of objects
Response
{ "transactionId": 5, "state": "COMPLETED", "balancesAfter": [ { "id": 5, "value": 100, "currency": "EUR" } ] }